IRremoteESP8266

Public Attributes | List of all members
SamsungProtocol Union Reference

Native representation of a Samsung A/C message. More...

`#include <ir_Samsung.h>`

## Public Attributes
uint8_t | raw [kSamsungAcExtendedStateLength]
| State in code form. More...
struct {
uint8_t __pad0__:8
uint8_t __pad1__:4
uint8_t __pad2__:4
uint8_t __pad3__:4
uint8_t __pad4__:4
uint8_t __pad5__:8
uint8_t __pad6__:8
uint8_t __pad7__:4
uint8_t Sleep5:1
uint8_t Quiet:1
uint8_t __pad8__:2
uint8_t __pad9__:4
uint8_t Power1:2
uint8_t __pad10__:2
uint8_t __pad11__:8
uint8_t __pad12__:4
uint8_t __pad13__:4
uint8_t __pad14__:4
uint8_t Swing:3
uint8_t __pad15__:1
uint8_t __pad16__:1
uint8_t FanSpecial:3
uint8_t Display:1
uint8_t __pad17__:2
uint8_t CleanToggle10:1
uint8_t Ion:1
uint8_t CleanToggle11:1
uint8_t __pad18__:2
uint8_t Temp:4
uint8_t __pad19__:1
uint8_t Fan:3
uint8_t Mode:3
uint8_t __pad20__:1
uint8_t __pad21__:2
uint8_t BeepToggle:1
uint8_t __pad22__:1
uint8_t Power2:2
uint8_t __pad23__:2
}; |
struct {
uint8_t __pad0__:8
uint8_t __pad1__:4
uint8_t Sum1Lower:4
uint8_t Sum1Upper:4
uint8_t __pad2__:4
uint8_t __pad3__:8
uint8_t __pad4__:8
uint8_t __pad5__:8
uint8_t __pad6__:8
uint8_t __pad7__:8
uint8_t __pad8__:4
uint8_t Sum2Lower:4
uint8_t Sum2Upper:4
uint8_t OffTimeMins:3
uint8_t OffTimeHrs1:1
uint8_t OffTimeHrs2:4
uint8_t OnTimeMins:3
uint8_t OnTimeHrs1:1
uint8_t OnTimeHrs2:4
uint8_t __pad9__:4
uint8_t OffTimeDay:1
uint8_t OnTimerEnable:1
uint8_t OffTimerEnable:1
uint8_t Sleep12:1
uint8_t OnTimeDay:1
uint8_t __pad10__:3
uint8_t __pad11__:8
uint8_t __pad12__:8
uint8_t __pad13__:4
uint8_t Sum3Lower:4
uint8_t Sum3Upper:4
uint8_t __pad14__:4
uint8_t __pad15__:8
uint8_t __pad16__:8
uint8_t __pad17__:8
uint8_t __pad18__:8
}; |

## Detailed Description

Native representation of a Samsung A/C message.

## Member Data Documentation

## ◆ @102

struct { ... }

## ◆ @104

struct { ... }

## ◆ __pad0__

uint8_t SamsungProtocol::__pad0__

## ◆ __pad10__

uint8_t SamsungProtocol::__pad10__

## ◆ __pad11__

uint8_t SamsungProtocol::__pad11__

## ◆ __pad12__

uint8_t SamsungProtocol::__pad12__

## ◆ __pad13__

uint8_t SamsungProtocol::__pad13__

## ◆ __pad14__

uint8_t SamsungProtocol::__pad14__

## ◆ __pad15__

uint8_t SamsungProtocol::__pad15__

## ◆ __pad16__

uint8_t SamsungProtocol::__pad16__

## ◆ __pad17__

uint8_t SamsungProtocol::__pad17__

## ◆ __pad18__

uint8_t SamsungProtocol::__pad18__

## ◆ __pad19__

uint8_t SamsungProtocol::__pad19__

## ◆ __pad1__

uint8_t SamsungProtocol::__pad1__

## ◆ __pad20__

uint8_t SamsungProtocol::__pad20__

## ◆ __pad21__

uint8_t SamsungProtocol::__pad21__

## ◆ __pad22__

uint8_t SamsungProtocol::__pad22__

## ◆ __pad23__

uint8_t SamsungProtocol::__pad23__

## ◆ __pad2__

uint8_t SamsungProtocol::__pad2__

## ◆ __pad3__

uint8_t SamsungProtocol::__pad3__

## ◆ __pad4__

uint8_t SamsungProtocol::__pad4__

## ◆ __pad5__

uint8_t SamsungProtocol::__pad5__

## ◆ __pad6__

uint8_t SamsungProtocol::__pad6__

## ◆ __pad7__

uint8_t SamsungProtocol::__pad7__

## ◆ __pad8__

uint8_t SamsungProtocol::__pad8__

## ◆ __pad9__

uint8_t SamsungProtocol::__pad9__

## ◆ BeepToggle

uint8_t SamsungProtocol::BeepToggle

## ◆ CleanToggle10

uint8_t SamsungProtocol::CleanToggle10

## ◆ CleanToggle11

uint8_t SamsungProtocol::CleanToggle11

## ◆ Display

uint8_t SamsungProtocol::Display

## ◆ Fan

uint8_t SamsungProtocol::Fan

## ◆ FanSpecial

uint8_t SamsungProtocol::FanSpecial

## ◆ Ion

uint8_t SamsungProtocol::Ion

## ◆ Mode

uint8_t SamsungProtocol::Mode

## ◆ OffTimeDay

uint8_t SamsungProtocol::OffTimeDay

## ◆ OffTimeHrs1

uint8_t SamsungProtocol::OffTimeHrs1

## ◆ OffTimeHrs2

uint8_t SamsungProtocol::OffTimeHrs2

## ◆ OffTimeMins

uint8_t SamsungProtocol::OffTimeMins

## ◆ OffTimerEnable

uint8_t SamsungProtocol::OffTimerEnable

## ◆ OnTimeDay

uint8_t SamsungProtocol::OnTimeDay

## ◆ OnTimeHrs1

uint8_t SamsungProtocol::OnTimeHrs1

## ◆ OnTimeHrs2

uint8_t SamsungProtocol::OnTimeHrs2

## ◆ OnTimeMins

uint8_t SamsungProtocol::OnTimeMins

## ◆ OnTimerEnable

uint8_t SamsungProtocol::OnTimerEnable

## ◆ Power1

uint8_t SamsungProtocol::Power1

## ◆ Power2

uint8_t SamsungProtocol::Power2

## ◆ Quiet

uint8_t SamsungProtocol::Quiet

## ◆ raw

uint8_t SamsungProtocol::raw[kSamsungAcExtendedStateLength]

State in code form.

## ◆ Sleep12

uint8_t SamsungProtocol::Sleep12

## ◆ Sleep5

uint8_t SamsungProtocol::Sleep5

## ◆ Sum1Lower

uint8_t SamsungProtocol::Sum1Lower

## ◆ Sum1Upper

uint8_t SamsungProtocol::Sum1Upper

## ◆ Sum2Lower

uint8_t SamsungProtocol::Sum2Lower

## ◆ Sum2Upper

uint8_t SamsungProtocol::Sum2Upper

## ◆ Sum3Lower

uint8_t SamsungProtocol::Sum3Lower

## ◆ Sum3Upper

uint8_t SamsungProtocol::Sum3Upper

## ◆ Swing

uint8_t SamsungProtocol::Swing

## ◆ Temp

uint8_t SamsungProtocol::Temp

The documentation for this union was generated from the following file:

- src/ir_Samsung.h